<?php 
if(session_id() == '') {
	session_start();
}

header("Content-type: text/css; charset: UTF-8"); ?> 

<?php
require_once( '../../../../wp-load.php' );
?>

<?php
	$pp_body_font = get_option('pp_body_font');
	
	if(!empty($pp_body_font))
	{
?>
body, input[type=submit], input[type=button], a.button, input[type=submit].medium, input[type=button].medium, a.button.medium, input[type=submit].large, input[type=button].large, a.button.large { font-family:<?php echo $pp_body_font; ?>; }
<?php
	}
	
?>

<?php
	$pp_body_font_size = get_option('pp_body_font_size');
	
	if(!empty($pp_body_font_size))
	{
?>
body { font-size:<?php echo $pp_body_font_size; ?>px; }
<?php
	}
?>

<?php
	$pp_blog_title_font_color = get_option('pp_blog_title_font_color');
	
	if(!empty($pp_blog_title_font_color))
	{
?>
h3.post_heading a, h5.post_heading a { color:<?php echo $pp_blog_title_font_color; ?>; }
<?php
	}
?>

<?php
	$pp_dropcap_bg_color = get_option('pp_dropcap_bg_color');
	
	if(!empty($pp_dropcap_bg_color))
	{
?>
.dropcap.circle, .dropcap.box { background:<?php echo $pp_dropcap_bg_color; ?>; }
<?php
	}
?>

<?php
	$pp_pricing_active_bg_color = get_option('pp_pricing_active_bg_color');
	
	if(!empty($pp_pricing_active_bg_color))
	{
?>
.pricing_box.large .header { background:<?php echo $pp_pricing_active_bg_color; ?>; }
.pricing_box.large { border:1px solid <?php echo $pp_pricing_active_bg_color; ?>; }
<?php
	}
?>

<?php
	$pp_pricing_default_bg_color = get_option('pp_pricing_default_bg_color');
	
	if(!empty($pp_pricing_default_bg_color))
	{
?>
.pricing_box .header { background:<?php echo $pp_pricing_default_bg_color; ?>; }
<?php
	}
?>

<?php
	$pp_pricing_border_color = get_option('pp_pricing_border_color');
	
	if(!empty($pp_pricing_border_color))
	{
?>
.pricing_box .header { border-bottom:1px solid <?php echo $pp_pricing_border_color; ?>; }
#content_wrapper .pricing_box ul li { border-bottom: 2px dotted <?php echo $pp_pricing_border_color; ?>; }
.pricing_box { border:1px solid <?php echo $pp_pricing_border_color; ?>; }
<?php
	}
?>

<?php
	$pp_footer_bg_color = get_option('pp_footer_bg_color');
	
	if(!empty($pp_footer_bg_color))
	{
?>
#footer, #footer h2.widgettitle span { background:<?php echo $pp_footer_bg_color; ?>; }
<?php
	}
?>

<?php
	$pp_footer_header_font_size = get_option('pp_footer_header_font_size');
	
	if(!empty($pp_footer_header_font_size))
	{
?>
#footer ul li.widget .widgettitle { font-size:<?php echo $pp_footer_header_font_size; ?>px; }
<?php
	}
?>

<?php
	$pp_sidebar_header_font_size = get_option('pp_sidebar_header_font_size');
	
	if(!empty($pp_sidebar_header_font_size))
	{
?>
#content_wrapper .sidebar .content .sidebar_widget li .widgettitle, h2.widgettitle { font-size:<?php echo $pp_sidebar_header_font_size; ?>px; }
<?php
	}
?>

<?php
	$pp_h1_font_color = get_option('pp_h1_font_color');
	
	if(!empty($pp_h1_font_color))
	{
?>
h1,h2,h3,h4,h5,h6 { color:<?php echo $pp_h1_font_color; ?>; }
<?php
	}
?>

<?php
	$pp_page_header_font_color = get_option('pp_page_header_font_color');
	
	if(!empty($pp_page_header_font_color))
	{
?>
.caption_header h1, .caption_header, .caption_header a { color:<?php echo $pp_page_header_font_color; ?>; }
<?php
	}
?>

<?php
	$pp_h1_size = get_option('pp_h1_size');
	
	if(!empty($pp_h1_size))
	{
?>
h1 { font-size:<?php echo $pp_h1_size; ?>px; }
<?php
	}
	if($pp_h1_size < 46)
	{
?>
h1 { letter-spacing: 0; }
<?php
	}
?>

<?php
	$pp_h2_size = get_option('pp_h2_size');
	
	if(!empty($pp_h2_size))
	{
?>
h2 { font-size:<?php echo $pp_h2_size; ?>px; }
<?php
	}
	
?>

<?php
	$pp_h3_size = get_option('pp_h3_size');
	
	if(!empty($pp_h3_size))
	{
?>
h3 { font-size:<?php echo $pp_h3_size; ?>px; }
<?php
	}
	
?>

<?php
	$pp_h4_size = get_option('pp_h4_size');
	
	if(!empty($pp_h4_size))
	{
?>
h4 { font-size:<?php echo $pp_h4_size; ?>px; }
<?php
	}
	
?>

<?php
	$pp_h5_size = get_option('pp_h5_size');
	
	if(!empty($pp_h5_size))
	{
?>
h5 { font-size:<?php echo $pp_h5_size; ?>px; }
<?php
	}
?>

<?php
	$pp_h6_size = get_option('pp_h6_size');
	
	if(!empty($pp_h6_size))
	{
?>
h6 { font-size:<?php echo $pp_h6_size; ?>px; }
<?php
	}	
?>

<?php
	$pp_page_header_font_size = get_option('pp_page_header_font_size');
	
	if(!empty($pp_page_header_font_size))
	{
?>
.caption_header h1 { font-size:<?php echo $pp_page_header_font_size; ?>px; }
<?php
	}
	if($pp_page_header_font_size < 72)
	{
?>
.caption_header h1 { letter-spacing: 0; }
<?php
	}
?>

<?php
	$pp_font_color = get_option('pp_font_color');
	
	if(!empty($pp_font_color))
	{
?>
body { color:<?php echo $pp_font_color; ?>; }
<?php
	}
	
?>

<?php
	$pp_link_color = get_option('pp_link_color');
	
	if(!empty($pp_link_color))
	{
?>
a, .tagline_text, .filter li a.active, .post_header h3 a:hover, .sidebar_wrapper a:hover, .sidebar_wrapper a:active, .sidebar_wrapper ul.twitter a, #footer .sidebar_widget li ul.twitter a, a:hover, .post_header h3 a:hover, .caption_breadcrumbs a:hover, .caption_breadcrumbs a:active { color:<?php echo $pp_link_color; ?>; }
.colorful_bg { background:<?php echo $pp_link_color; ?>; }
<?php
	}
	
?>

<?php
	$pp_hover_link_color = get_option('pp_hover_link_color');
	
	if(!empty($pp_hover_link_color))
	{
?>
a:hover { color:<?php echo $pp_hover_link_color; ?>; }
<?php
	}	
?>

<?php
	$pp_active_link_color = get_option('pp_active_link_color');
	
	if(!empty($pp_active_link_color))
	{
?>
a:active, .top_info a:active { color:<?php echo $pp_active_link_color; ?>; }
<?php
	}	
?>

<?php
	$pp_button_bg_color = get_option('pp_button_bg_color');
	
	if(!empty($pp_button_bg_color))
	{
?>
input[type=submit], input[type=button], a.button, input[type=submit]:active, input[type=button]:active, a.button:active, .woocommerce ul.products li.product a.add_to_cart_button, .woocommerce-page ul.products li.product a.add_to_cart_button, .woocommerce ul.products li.product a.add_to_cart_button.loading, .woocommerce-page ul.products li.product a.add_to_cart_button.loading, .woocommerce ul.products li.product a.add_to_cart_button:hover, .woocommerce-page ul.products li.product a.add_to_cart_button:hover, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit, .woocommerce #content input.button, .woocommerce-page a.button, .woocommerce-page button.button, .woocommerce-page input.button, .woocommerce-page #respond input#submit, .woocommerce-page #content input.button, .woocommerce .widget_shopping_cart .widget_shopping_cart_content a.button, .woocommerce table.cart td.actions .button.alt.checkout-button, .woocommerce #payment #place_order, .woocommerce-page #payment #place_order, .woocommerce table.cart td.actions .button.alt {  background-color: <?php echo $pp_button_bg_color; ?> !important; }

<?php
	}
	
?>


<?php
	$pp_overall_color = get_option('pp_overall_color');
	
	if(!empty($pp_overall_color))
	{
?>
.portfolio200_overlay, .portfolio460_overlay, .portfolio305_overlay, .portfolio195_overlay, .post_img_overlay, .blog_thumb_overlay, .post_full_img_overlay, .post_half_img_overlay, .post_third_img_overlay, .colorful_bg, .flex-control-nav li a.active, .flex-control-nav li a:hover, .portfolio_single_navi a:hover, #toTop:hover, #sc_chat_box div.sc-chat-header, #sc_chat_box .sc-chat-wrapper .sc-start-chat-btn a:hover, .widget_tag_cloud div a:hover, .meta-tags a:hover, #footer .widget_tag_cloud div a:hover, #footer .meta-tags a:hover {  background-color: <?php echo $pp_overall_color; ?>; }
.portfolio_desc.hover, .member_item_info:hover { border-bottom: 2px solid <?php echo $pp_overall_color; ?>; }
.filter li a.active  { border-bottom: 3px solid <?php echo $pp_overall_color; ?>; color: <?php echo $pp_overall_color; ?>; }
.widget_tag_cloud div a:hover, .meta-tags a:hover, #footer .widget_tag_cloud div a:hover, #footer .meta-tags a:hover { border: 1px solid <?php echo $pp_overall_color; ?>; }
.post_color_date { color: <?php echo $pp_overall_color; ?>; }

<?php
	}
	
?>

<?php
	$pp_button_font_color = get_option('pp_button_font_color');
	
	if(!empty($pp_button_font_color))
	{
?>
input[type=submit], input[type=button], a.button, .woocommerce-page ul.products li.product a.add_to_cart_button, .woocommerce ul.products li.product a.add_to_cart_button.loading, .woocommerce-page ul.products li.product a.add_to_cart_button.loading, .woocommerce ul.products li.product a.add_to_cart_button:hover, .woocommerce-page ul.products li.product a.add_to_cart_button:hover, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit, .woocommerce #content input.button, .woocommerce-page a.button, .woocommerce-page button.button, .woocommerce-page input.button, .woocommerce-page #respond input#submit, .woocommerce-page #content input.button, .woocommerce .widget_shopping_cart .widget_shopping_cart_content a.button, .woocommerce table.cart td.actions .button.alt.checkout-button, .woocommerce #payment #place_order, .woocommerce-page #payment #place_order, .woocommerce table.cart td.actions .button.alt { 
	color: <?php echo $pp_button_font_color; ?> !important;
}
input[type=submit]:hover, input[type=button]:hover, a.button:hover, .woocommerce-page ul.products li.product a.add_to_cart_button, .woocommerce ul.products li.product a.add_to_cart_button.loading, .woocommerce-page ul.products li.product a.add_to_cart_button.loading, .woocommerce ul.products li.product a.add_to_cart_button:hover, .woocommerce-page ul.products li.product a.add_to_cart_button:hover, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit, .woocommerce #content input.button, .woocommerce-page a.button, .woocommerce-page button.button, .woocommerce-page input.button, .woocommerce-page #respond input#submit, .woocommerce-page #content input.button, .woocommerce .widget_shopping_cart .widget_shopping_cart_content a.button, .woocommerce table.cart td.actions .button.alt.checkout-button, .woocommerce #payment #place_order, .woocommerce-page #payment #place_order, .woocommerce table.cart td.actions .button.alt
{
	color: <?php echo $pp_button_font_color; ?> !important;
}
<?php
	}
	
?>

<?php
	$pp_button_border_color = get_option('pp_button_border_color');
	
	if(!empty($pp_button_border_color))
	{
?>
input[type=submit], input[type=button], a.button, .woocommerce-page ul.products li.product a.add_to_cart_button, .woocommerce ul.products li.product a.add_to_cart_button.loading, .woocommerce-page ul.products li.product a.add_to_cart_button.loading, .woocommerce ul.products li.product a.add_to_cart_button:hover, .woocommerce-page ul.products li.product a.add_to_cart_button:hover, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit, .woocommerce #content input.button, .woocommerce-page a.button, .woocommerce-page button.button, .woocommerce-page input.button, .woocommerce-page #respond input#submit, .woocommerce-page #content input.button, .woocommerce .widget_shopping_cart .widget_shopping_cart_content a.button, .woocommerce table.cart td.actions .button.alt.checkout-button, .woocommerce #payment #place_order, .woocommerce-page #payment #place_order, .woocommerce table.cart td.actions .button.alt { 
	border: 1px solid <?php echo $pp_button_border_color; ?> !important;
}
<?php
	}
	
?>

<?php
    $pp_footer_display_sidebar = get_option('pp_footer_display_sidebar');
    
    if(empty($pp_footer_display_sidebar))
    {
?>
#footer { background-image: none; }
<?php
    }
?>

<?php
	$pp_font_family = get_option('pp_font_family');
    
    if(!empty($pp_font_family))
    {
?>
h1, h2, h3, h4, h5, h6, input[type=submit], input[type=button], a.button, .post_header, .member_position, .portfolio_sub_header, .post_date, .sc-chat-header .sc-chat-header-title, #sc_chat_box .sc-chat-wrapper .sc-start-chat-btn a { font-family: '<?php echo $pp_font_family; ?>' !important; }	
<?php
	}
?>

<?php
    $pp_menu_font_size = get_option('pp_menu_font_size');
    $pp_menu_uppercase = get_option('pp_menu_uppercase');
    
    if(!empty($pp_menu_uppercase))
    {
    	$pp_menu_uppercase = 'uppercase';
    }
    else
    {
    	$pp_menu_uppercase = 'none';
    }
    
    if(!empty($pp_menu_font_size))
    {
?>
#menu_wrapper .nav ul li a, #menu_wrapper div .nav li a { font-size: <?php echo $pp_menu_font_size; ?>px;text-transform: <?php echo $pp_menu_uppercase; ?> }
<?php
    }
?>

<?php
    $pp_submenu_font_size = get_option('pp_submenu_font_size');
    
    if(!empty($pp_submenu_font_size))
    {
?>
#menu_wrapper .nav ul li ul li a, #menu_wrapper div .nav li ul li a, #menu_wrapper div .nav li.current-menu-parent ul li a { font-size: <?php echo $pp_submenu_font_size; ?>px;text-transform: none; }
<?php
    }
?>

<?php
    $pp_menu_link_color = get_option('pp_menu_link_color');
    
    if(!empty($pp_menu_link_color))
    {
?>
#menu_wrapper .nav ul li a, #menu_wrapper div .nav li a { color: <?php echo $pp_menu_link_color; ?>; }
<?php
    }
?>

<?php
    $pp_menu_link_hover_color = get_option('pp_menu_link_hover_color');
    
    if(!empty($pp_menu_link_hover_color))
    {
?>
#menu_wrapper .nav ul li a.hover, #menu_wrapper .nav ul li a:hover, #menu_wrapper div .nav li a.hover, #menu_wrapper div .nav li a:hover { color: <?php echo $pp_menu_link_hover_color; ?>; border-bottom: 5px solid <?php echo $pp_menu_link_hover_color; ?>; }
<?php
    }
?>

<?php
    $pp_menu_link_active_color = get_option('pp_menu_link_active_color');
    
    if(!empty($pp_menu_link_active_color))
    {
?>
#menu_wrapper div .nav li.current-menu-item > a, #menu_wrapper div .nav li.current-menu-parent > a, #menu_wrapper div .nav li.current-menu-ancestor > a { color: <?php echo $pp_menu_link_active_color; ?>; border-bottom: 5px solid <?php echo $pp_menu_link_active_color; ?>; }
<?php
    }
?>

<?php
    $pp_submenu_link_color = get_option('pp_submenu_link_color');
    
    if(!empty($pp_submenu_link_color))
    {
?>
#menu_wrapper div .nav li ul li a, #menu_wrapper div .nav li.current-menu-item ul li a, #menu_wrapper div .nav li ul li.current-menu-item a, #menu_wrapper .nav ul li ul li a, #menu_wrapper .nav ul li.current-menu-item ul li a, #menu_wrapper .nav ul li ul li.current-menu-item a, #menu_wrapper div .nav li.current-menu-parent ul li a, #menu_wrapper div .nav li ul li.current-menu-parent a { color: <?php echo $pp_submenu_link_color; ?>; }
<?php
    }
?>

<?php
    $pp_submenu_hover_color = get_option('pp_submenu_hover_color');
    
    if(!empty($pp_submenu_hover_color))
    {
?>
#menu_wrapper .nav ul li ul li a:hover, #menu_wrapper .nav ul li ul li a:hover, #menu_wrapper div .nav li ul li a:hover, #menu_wrapper div .nav li ul li a:hover, #menu_wrapper div .nav li.current-menu-item ul li a:hover, #menu_wrapper div .nav li.current-menu-parent ul li a:hover { color: <?php echo $pp_submenu_hover_color; ?>; }
<?php
    }
?>

<?php
    $pp_footer_widget_title_color = get_option('pp_footer_widget_title_color');
    
    if(!empty($pp_footer_widget_title_color))
    {
?>
#footer ul li.widget .widgettitle { color: <?php echo $pp_footer_widget_title_color; ?>; }
<?php
    }
?>

<?php
    $pp_footer_font_color = get_option('pp_footer_font_color');
    
    if(!empty($pp_footer_font_color))
    {
?>
#footer { color: <?php echo $pp_footer_font_color; ?>; }
<?php
    }
?>

<?php
    $pp_footer_link_color = get_option('pp_footer_link_color');
    
    if(!empty($pp_footer_link_color))
    {
?>
#footer a, #footer a:hover, #footer a:active { color: <?php echo $pp_footer_link_color; ?>; }
<?php
    }
?>

<?php
    $pp_below_footer_color = get_option('pp_below_footer_color');
    
    if(!empty($pp_below_footer_color))
    {
?>
#copyright { color: <?php echo $pp_below_footer_color; ?>; }
<?php
    }
?>

<?php
    $pp_below_footer_background_color = get_option('pp_below_footer_background_color');
    
    if(!empty($pp_below_footer_background_color))
    {
?>
#copyright { background-color: <?php echo $pp_below_footer_background_color; ?>; }
<?php
	}
?>

<?php
	$pp_slider_display = get_option('pp_slider_display');

	if(empty($pp_slider_display))
    {
?>
#menu_border_wrapper { border-bottom: 1px solid #ccc; }
<?php
	}
?>

<?php
//Get Theme Layout
if(isset($_SESSION['pp_theme_layout']))
{
    $pp_theme_layout = $_SESSION['pp_theme_layout'];
}
else
{
    $pp_theme_layout = get_option('pp_theme_layout');
}

if($pp_theme_layout == 'boxed')
{
	$pp_boxed_bg_color = get_option('pp_boxed_bg_color');
	
	if(!empty($pp_boxed_bg_color))
	{
?>
body { background-color: <?php echo $pp_boxed_bg_color; ?> !important; }
<?php
	}
	
	$pp_boxed_bg_img = get_option('pp_boxed_bg_img');

	//Get BG Patterns
	if(isset($_SESSION['pp_boxed_bg_img_pattern']))
	{
	    $pp_boxed_bg_img_pattern = $_SESSION['pp_boxed_bg_img_pattern'];
	}
	else
	{
	    $pp_boxed_bg_img_pattern = get_option('pp_boxed_bg_img_pattern');
	}
	
	if(!empty($pp_boxed_bg_img))
	{
?>
body { background: url('<?php echo $pp_boxed_bg_img; ?>') repeat !important; }
<?php
	}
	elseif(!empty($pp_boxed_bg_img_pattern))
	{
?>
body { background: url('<?php echo get_stylesheet_directory_uri(); ?>/images/patterns/<?php echo $pp_boxed_bg_img_pattern; ?>') repeat !important; }
<?php
	}
}
?>

<?php
	$pp_logo_top_margin = get_option('pp_logo_top_margin');

	if(!empty($pp_logo_top_margin))
    {
?>
.logo { margin-top:<?php echo $pp_logo_top_margin; ?>px; }
<?php
	}
?>

<?php
	$pp_logo_bottom_margin = get_option('pp_logo_bottom_margin');

	if(!empty($pp_logo_bottom_margin))
    {
?>
.logo { margin-bottom:<?php echo $pp_logo_bottom_margin; ?>px; }
<?php
	}
?>

<?php
	$pp_menu_top_padding = get_option('pp_menu_top_padding');

	if(!empty($pp_menu_top_padding))
    {
?>
#menu_wrapper .nav ul li a, #menu_wrapper div .nav li a { padding-top:<?php echo $pp_menu_top_padding; ?>px; }
<?php
	}
?>

<?php
	$pp_menu_bottom_padding = get_option('pp_menu_bottom_padding');

	if(!empty($pp_menu_bottom_padding))
    {
?>
#menu_wrapper .nav ul li a, #menu_wrapper div .nav li a { padding-bottom:<?php echo $pp_menu_bottom_padding; ?>px; }
<?php
	}
?>

<?php
	if(isset($_SESSION['pp_header_layout']))
	{
	    $pp_header_layout = $_SESSION['pp_header_layout'];
	}
	else
	{
	    $pp_header_layout = get_option('pp_header_layout');
	}

	if($pp_header_layout==3)
    {
?>
.social_wrapper, .top_bar_wrapper { float: left !important; }
<?php
	}
?>

<?php
/**
*	Get custom CSS
**/
$pp_custom_css = get_option('pp_custom_css');


if(!empty($pp_custom_css))
{
    echo stripslashes($pp_custom_css);
}
?>